<!DOCTYPE html>
<html lang="en">

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Task 31.10</title>
</head>
<style>
    .background-picture {
        /*the image used*/
        background-image: url("images/signup-bg.jpg");
        height: 100%;
        /*center and scale the image nicely*/
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        opacity: 5;
    }
</style>
</head>
<script>
    $(document).ready(function () {
        "use strict"
        $("#btn-sign-up").click(onBtnSignUpClick);
    })

    function onBtnSignUpClick() {
        var vObject = {
            yourName: "",
            yourEmail: "",
            password: "",
            repeatPassword: "",
            iAgree: false,

        }
        getData(vObject);
        valiDateFrom(vObject);
    }
    // hàm đọc dữ liện 
    function getData(pagramOjb) {
        var vInpName = $("#inp-name");
     
        var vInpEmail = $("#inp-email");
        var vInpPassword = $("#inp-password");
        var vInpRepeatPassword = $("#inp-repeat-password");
        var vAcceptCheck = $("#check-confirm-accept")

        pagramOjb.yourName = vInpName.val();
        pagramOjb.yourEmail = vInpEmail.val();
        pagramOjb.password = vInpPassword.val();
        pagramOjb.repeatPassword = vInpRepeatPassword.val();
        pagramOjb.iAgree = vAcceptCheck.is(":checked");
    }

    // hàm ValidateFrom
    function valiDateFrom(pagramOjb) {
        
        if (pagramOjb.yourName == "") {
            
            alert("Bạn chưa nhập Your Name")
            return false
        }
        if(checkEmail(pagramOjb) == false){
            return false;
        }
        

        if (pagramOjb.password == "") {
           alert("chưa nhập password!")
            return false;
        }
        if (pagramOjb.password.length < 8) {
           alert("passwword phải có ít nhất 8 ký tự ")
            return false;
        }
        if (pagramOjb.password != pagramOjb.repeatPassword) { // != nếu mật khẩu không khớp
            alert("Password không khớp. Kiểm tra lại!");
            return false;
        }
        if (!pagramOjb.iAccept) {

            $("#p-agree-feedback").css("display", "block");

            console.log("You must accept before submitting");
            return false;
        } else {
            $("#p-agree-feedback").css("display", "none");
        }


        return true
    }
    function checkEmail(pagramOjb){
        if(pagramOjb.yourEmail == ""){
            alert("chưa nhập email")
            return false
        }
        var vcheckEmail = pagramOjb.yourEmail.indexOf("@");

        if (vcheckEmail == 0 || vcheckEmail == pagramOjb.yourEmail.length-1 ){
            alert("@ không được nằm ở đầu và cuối ")
            return false
        }
        if (pagramOjb.yourEmail.indexOf(".") == -1){
            alert("email phải chứa . ")
            return false
        }
        
        return true
    }
    function showDataInConsole(pagramOjb) {
        console.log("Name: " + pagramOjb.yourName);
        console.log("Email: " + pagramOjb.yourEmail);
        console.log("password: " + pagramOjb.password);
        console.log("confirmpassword: " + pagramOjb.repeatPassword);
        console.log("I accept: " + pagramOjb.iAccept);

      }
    
</script>

<body>
    <div class="container-fluid background-picture">
        <div class="row d-flex align-items-center min-vh-100">
            <div class="jumbotron signup-form col-sm-5 mx-auto">
                <div class="form-group text-center">
                    <h2>Create Account</h2>
                </div>

                <div class="form-group">
                    <div class="row">
                        <div class="col ">
                            <input type="text" class="form-control" id="inp-name" placeholder="Your Name" />
                        </div>

                    </div>
                </div>

                <div class="form-group">
                    <input type="email" class="form-control" id="inp-email" placeholder="Your Email" />
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" id="inp-password" placeholder="Password" />
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" id="inp-repeat-password"
                        placeholder="Repeat your password" />
                </div>
                <div class="form-group">
                    <input type="checkbox" id="check-confirm-accept" />
                    <span>I agree all statements in</spans>
                        <a href="#">Terms of Use</a>

                </div>
                <div class="form-group">
                    <button id="btn-sign-up" class="btn btn-log btn-block btn-info">
                        Sign Up
                    </button>
                </div>
                <div class="form-group text-center">
                    <a>Have already an account ?</a>
                    <a href="#">Login Here</a>
                </div>
            </div>
        </div>
    </div>
</body>

</html>